<?php
/*
Plugin Name: Auction Ads Share for WPMU
Plugin URI: http://www.ringofblogs.com/
Description: Share Auction Ads income with your wpmu users.
Version: 1.1
Author: Elad Salomons
Author URI: http://www.ringofblogs.com
Last modified: 26-02-2008
*/

function widget_auction($args) {

	$your_auction_share = get_site_option('your_auction_share');
	$your_auction_code = get_site_option('your_auction_code');

	extract($args);

	$options = array_merge(widget_auction_options(), get_option('widget_auction'));
	unset($options[0]); //returned by get_option(), but we don't need it

	if(rand(1, 100) >= 100 - $your_auction_share) :
		$options['auctionads_ad_client'] = $your_auction_code ;
	endif;

	if(empty($options['auctionads_ad_client'])) :
		$options['auctionads_ad_client'] = $your_auction_code  ;
	endif;

	echo $before_widget . $before_title . $options['Title'] . $after_title; ?>

<!-- Auction Ads -->		
<script type="text/javascript"><!--
<?php 
foreach($options as $key => $value)
	echo "$key = \"$value\";\r\n";
?>
--></script>
<script type="text/javascript" src="http://ads.auctionads.com/pagead/show_ads.js">
</script>
<!-- /Auction Ads -->
<br/>
By <a href="http://www.ringofblogs.com">rob</a>

<?		
		echo $after_widget;
}

function widget_auction_control() {
	$tmp_options = get_option('widget_auction');
	if (!is_array($tmp_options))
		$tmp_options = array();
	$options = array_merge(widget_auction_options(), $tmp_options);
	unset($options[0]);

	if ( $_POST['auction-submit'] ) {
		foreach($options as $key => $value)
			if(array_key_exists('auctionads_'.$key, $_POST))
				$options[$key] = strip_tags(stripslashes($_POST['auctionads_'.$key]));

		update_option('widget_auction', $options);
	}

	foreach($options as $key => $value): ?>
		<p style="text-align:left"><label for="auctionads_<?=$key?>"><?=$key?>: <input style="width: 200px;" id="auctionads_<?=$key?>" name="auctionads_<?=$key?>" type="text" value="<?=htmlspecialchars($value, ENT_QUOTES)?>" /></label></p>
	<? endforeach;
	echo '<input type="hidden" id="auction-submit" name="auction-submit" value="1" />';
}

function widget_auction_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

    $default_your_auction_share = get_site_option('your_auction_share');
    if (!$default_your_auction_share) {
		update_site_option( "your_auction_share", 20 );
    }
    $default_your_auction_code = get_site_option('your_auction_code');
    if (!$default_your_auction_code) {
		update_site_option( "your_auction_code", '' );
	}

	function widget_auction_options() {
		return array(
			'Title' => "",
			'auctionads_ad_client' => "",
			'auctionads_ad_campaign' => "",
			'auctionads_ad_width' => 180,
			'auctionads_ad_height' => 200,
			'auctionads_ad_kw' => "wordpress",
			'auctionads_new_ad' => "Vertical",
			'auctionads_new_ad_color' => "blue",
			'auctionads_new_ad_num' => "1",
		);
	}
	
	register_sidebar_widget('Auction Ads', 'widget_auction');

	register_widget_control('Auction Ads', 'widget_auction_control', 220, 50 * count(widget_auction_options()));
}

function add_auction_share_page()
	{
		add_submenu_page('wpmu-admin.php', 'auction_share', 'Auction Ads share', 0, 'auction-ad-share-mu.php', 'auction_share_page');
	}

function auction_share_page() {

	if ( !is_site_admin() ) {
		die( __('<p>You do not have permission to access this page.</p>') );
	}
		
	$message = null;
	$message_updated = __("Auction Ads share Options Updated.");

	// update options
	if ($_POST['action'] && $_POST['action'] == 'auction_share_update') {
		$message = $message_updated;
		update_site_option( "your_auction_share", $_POST[ 'your_auction_share' ] );
		update_site_option( "your_auction_code", $_POST[ 'your_auction_code' ] );
	}
	?>

	<?php if ($message) : ?>
	<div id="message" class="updated fade"><p><?php echo $message; ?></p></div>
	<?php endif; ?>
	
	<div class=wrap>
	<h2>Auction Ads Options</h2>
	
	<form name="form1" method="POST" action=""> 
	<input type='hidden' name='action' value='siteoptions'>

	<fieldset class="options">
		<tr valign="top"> 
		<th scope="row"><?php _e('Your Auction Ads share (%):') ?></th> 
		<td><input name="your_auction_share" type="text" id="your_auction_share" value="<?php echo get_site_option('your_auction_share', 20) ?>" size="3" />
		</tr> 
		<br/><br/>
		<tr valign="top"> 
		<th scope="row"><?php _e('Your Auction Ads code:     ') ?></th> 
		<td><input name="your_auction_code" type="text" id="your_auction_code" value="<?php echo get_site_option('your_auction_code', '') ?>" size="50" />
		</tr> 
		</table>
	</fieldset>

	<p class="submit"> 
	<input type="hidden" name="action" value="auction_share_update" /> 
	<input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /> 
	</p> 
	</form> 
	</div>
	<?php
}
	
// Run our code later in case this loads prior to any required plugins.
add_action('plugins_loaded', 'widget_auction_init');
add_action('admin_menu', 'add_auction_share_page');

?>
